summaryrefslogtreecommitdiffstats
path: root/deps/exiv2/paredown.sh
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-11-11 21:32:21 +0100
committer Eric Hameleers <alien@slackware.com>2019-11-11 21:32:21 +0100
commit25e06aadbdec1fa4113960acb355a4183cb0c552 (patch)
treeb4b4f415a470a636e7faab818059cb49849b68e9 /deps/exiv2/paredown.sh
parent02b703f088bb2ea4e34869d515e26a62a8aa5c5d (diff)
downloadktown-25e06aadbdec1fa4113960acb355a4183cb0c552.tar.gz
ktown-25e06aadbdec1fa4113960acb355a4183cb0c552.tar.xz
Deps: add exiv2 and LibRaw updates to the official packages
Newer exiv2 is required to compile the latest Digikam 6.4.0. Pat threw LibRaw in the mix for good measure. Then he added the shared libraries of the official Slackware versions of these packages to aaa_elflibs so that no breakage to official packages will occur when you upgrade to their updated ktown versions.
Diffstat (limited to 'deps/exiv2/paredown.sh')
-rwxr-xr-xdeps/exiv2/paredown.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/deps/exiv2/paredown.sh b/deps/exiv2/paredown.sh
new file mode 100755
index 0000000..bd2685e
--- /dev/null
+++ b/deps/exiv2/paredown.sh
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Copyright 2013, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Remove the reference PNG files from the cairo source tarball.
+# These are used only for build time testing, and cairo always fails
+# a large number of tests, making these files more or less useless to
+# the average end user. If you really need them for some reason, you
+# can fetch the original tarball from cairographics.org.
+#
+# Removing these files reduces the size of the source tarball by 93%.
+
+PKGNAM=exiv2
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.gz | rev | cut -f 3- -d . | cut -f 2 -d - | rev)}
+
+if [ ! -r $PKGNAM-${VERSION}-Source.tar.gz ]; then
+ echo "$PKGNAM-${VERSION}-Source.tar.gz does not exist. Exiting."
+ exit 1
+fi
+
+touch -r $PKGNAM-${VERSION}-Source.tar.gz tmp-timestamp || exit 1
+
+rm -rf $PKGNAM-${VERSION}-Source
+tar xf $PKGNAM-${VERSION}-Source.tar.gz || exit 1
+rm -rf $PKGNAM-${VERSION}-Source/test/data/*
+rm -rf $PKGNAM-${VERSION}-Source/tests/bugfixes/*
+rm -f $PKGNAM-${VERSION}-Source.tar.lz
+tar cf $PKGNAM-${VERSION}-Source.tar $PKGNAM-${VERSION}-Source
+touch -r tmp-timestamp $PKGNAM-${VERSION}-Source.tar
+plzip -9 -v $PKGNAM-${VERSION}-Source.tar
+rm -rf $PKGNAM-${VERSION}-Source tmp-timestamp
+
+echo "Repacking of $PKGNAM-${VERSION}-Source.tar.lz complete."
+